/*
Theme Name: Heimatverein Wolbeck 2026
Template: kadence
Author: Timo Schmidt
Version: 1.0
*/

@font-face {
  font-family: 'FontboxLemonadeStand-Italic';
  src: url('fonts/LemonadeStand-Italic/LemonadeStand-Italic.eot');
  src: url('fonts/LemonadeStand-Italic/LemonadeStand-Italic.eot?#iefix') format('embedded-opentype'), url('fonts/LemonadeStand-Italic/LemonadeStand-Italic.woff') format('woff'), url('fonts/LemonadeStand-Italic/LemonadeStand-Italic.ttf') format('truetype'), url('fonts/LemonadeStand-Italic/LemonadeStand-Italic.svg#LemonadeStand-Italic') format('svg');
}

@font-face {
  font-family: 'BiscuitBase';
  src: url('fonts/BiscuitBase/BiscuitBase.eot');
  src: url('fonts/BiscuitBase/BiscuitBase.eot?#iefix') format('embedded-opentype'), url('fonts/BiscuitBase/BiscuitBase.woff') format('woff'), url('fonts/BiscuitBase/BiscuitBase.ttf') format('truetype'), url('fonts/BiscuitBase/BiscuitBase.svg#BiscuitBase') format('svg');
}

@font-face {
  font-family: 'PeachAndPistachio';
  src: url('fonts/PeachAndPistachio/PeachAndPistachio.eot');
  src: url('fonts/PeachAndPistachio/PeachAndPistachio.eot?#iefix') format('embedded-opentype'), url('fonts/PeachAndPistachio/PeachAndPistachio.woff') format('woff'), url('fonts/PeachAndPistachio/PeachAndPistachio.ttf') format('truetype'), url('fonts/PeachAndPistachio/PeachAndPistachio.svg#PeachAndPistachio') format('svg');
}


body {
  /* dein CSS */
}

h1.wp-block-post-title, .page-title h1, h1.archive-title{
  font-family: 'FontboxLemonadeStand-Italic';
  background-image: linear-gradient(to right, #507cba 50%, rgba(255, 255, 255, 0) 0%);
  background-position: bottom;
  background-size: 12px 2px;
  background-repeat: repeat-x;
  width: fit-content;
  font-size: clamp(100px, 12cqw, 150px);
  line-height: 0.7em;
}

h1.wp-block-heading.wp-block-post-title.dynamic-size{
	font-size: clamp(100px, 10cqw, 150px)
}


#Welcome-message {
	font-family: 'FontboxLemonadeStand-Italic';
	position: absolute;
	top: 50%;
	left: 15%;
	padding: 40px;
	border-radius: 5px;
	font-size: 120px;
	background: rgba(255, 255, 255, 0.38);
	background-blend-mode: hue;
	backdrop-filter: blur(20px);
}

.site-branding .site-title {
  background: rgba(230,236,209,0.7);
  backdrop-filter: blur(10px);
}

.item-is-stuck .site-branding .site-title{
	background: none;
	backdrop-filter: none;
}


.site-branding .site-title {
  font-family: 'BiscuitBase';
  transform: scale(1, 0.8);
  max-width: 260px;
  padding: 20px;
}

/* Header Galerie Bildausschnitt mittig halten */

.kb-gallery-ul .kadence-blocks-gallery-item .kadence-blocks-gallery-item-inner figure .kb-gallery-image-contain.kadence-blocks-gallery-intrinsic img
{
	object-position: center 100%;
}

/* Kein Abstand zwischen Beitrags Header Image und Menübalken */
.content-wrap .article-post-thumbnail {
  margin-top: -2em;
}

/* Hintergrund für Post Navigation */
.post-navigation, .pagination {
	background: var(--global-palette7);
	border-radius: .25rem;
	padding: 20px;
}
}


.single-content h1, .single-content h2, 
.single-content h3, .single-content h4, 
.single-content h5, .single-content h6 {
  margin-bottom: 1em;
}


.header_slider {
  overflow: hidden;
  position: relative;

}

.header_slider img {
  object-fit: cover;
  object-position: center;
}

.header_slider .kt-blocks-carousel-init {
	max-height: 800px;
}


a.brand {
	transition-duration: 0s
}

 

/* Veranstaltungen Panel */


.tribe-events-widget {
  background-color: var(--global-palette10);
  padding: 0 1.2em 1.2em 1.2em;
  border-radius: 4px

}

.tribe-events-widget .tribe-events-widget-events-list__header h2.tribe-common-h6  {
   color: #fff !important;
   font-family: 'PeachAndPistachio';
	font-size: clamp(24px, 6vw, 80px);
	text-transform: uppercase;
	color: #FFF;
	line-height: 0.9;
	background-image: linear-gradient(to right, #507cba 50%, rgba(255, 255, 255, 0) 0%);
	background-position: bottom;
	background-size: 12px 2px;
	background-repeat: repeat-x;
	margin-top: -70px !important;
	width: fit-content;
   
}

.tribe-events-widget-events-list__event-date-tag 
{
	margin-right: 10px !important;
}

.tribe-events-widget-events-list__event-date-tag-daynum
{
	color: var(--global-palette2) !important;
	font-size: 3em !important;
	line-height: 1em !important;
}

.tribe-events-widget-events-list__event-date-tag-month
{
	color: var(--global-palette2) !important;
	font-size: 1.3em !important;
	margin-bottom: -15 !important;
}

.tribe-events-widget-events-list__event-title, .tribe-events-widget-events-list__event-title a   
{
	color: var(--global-palette2) !important;
	font-size: 1.1em !important;
}

.tribe-events-widget-events-list__event-datetime
{
	color: #fff !important;
	font-size: 1.2em !important;
}

.tribe-events-widget .tribe-events-widget-events-list__event-row
{
	margin-bottom: 40px !important;
}

.tribe-events-widget-events-list__view-more-link 
{
	color: var(--global-palette2) !important;
}

/* Veranstaltungen Panel Ende */


/* Neuste Beiträge auf Startseite */

.homepage_widget_neuste_beitraege .kb-post-list-item .content-bg 
{
   background-color: #fff;
}
.homepage_widget_neuste_beitraege .kb-post-list-item .loop-entry .entry-content-wrap
{
	padding: 1.5em;
}
/* Ende Neuste Beiträge auf Startseite  */




/*Softes einblenden von transparenten Header zu Background Farbe */
body.transparent-header #masthead .kadence-sticky-header,  .kadence-sticky-header .search-toggle-open-container {
	transition: background 0.5s ease;
}

/* Mobiles Menü einfärben */
.popup-drawer .drawer-inner {
   background: rgba(81,55,50,0.7);
	 backdrop-filter: blur(10px);
	 -webkit-backdrop-filter: blur(10px);
}

/* Suchicon in Mobilem Menü einfärben */
.mobile-drawer-content .search-toggle-open-container .search-toggle-open{
	color: var(--global-palette8)
}


/* Blur für den Sticky Header */
.kadence-sticky-header.item-is-stuck {
backdrop-filter: blur(10px);
-webkit-backdrop-filter: blur(10px);
}

.kadence-sticky-header:not(.item-is-stuck) #site-navigation  {
backdrop-filter: blur(10px);
-webkit-backdrop-filter: blur(10px);
}


/* Suchbutton Hintergrund für transparenten Header*/
.kadence-sticky-header:not(.item-is-stuck) .search-toggle-open-container {
	background: rgba(230,236,209,0.7);
	backdrop-filter: blur(5px);
}


/* Mobiles Menü im transparenten Header einfärben */

body.transparent-header 
.kadence-sticky-header:not(.item-is-stuck) 
.mobile-toggle-open-container .menu-toggle-open{
  color: #ffffff; 
}


/* Such Pop-Up */
#search-drawer .drawer-inner input.search-field {
	background-color: #fff
}

/* Blur für das Such Pop-Up */
#search-drawer {
backdrop-filter: blur(5px);
-webkit-backdrop-filter: blur(5px);
}



/* Veranstaltungsseite */
.tribe-common-l-container.tribe-events-l-container
{
	background-color: var(--global-palette7);
	padding: 2em !important;
	margin-top: 2em;
	margin-bottom: 2em;
	border-radius: .25rem;
	box-shadow: 0px 15px 15px -10px rgba(0,0,0,0.05);
}

.tribe-events-view--list .page-title h1
{
	margin-bottom: 0.5em;
}

.tribe-events-calendar-list__event-date-tag-daynum.tribe-common-h5.tribe-common-h4--min-medium
{
	font-size: 3em;
}

.tribe-events-calendar-list__event-date-tag-weekday 
{
	font-size: 1.3em !important;
	text-transform: none !important;
}

.tribe-events-calendar-list__month-separator-text.tribe-common-h7.tribe-common-h6--min-medium.tribe-common-h--alt {
	font-size: 1em;
}
/* Veranstaltungsseite ENDE */
